import * as React from 'react'
import {EmotionIcon, EmotionIconBase, EmotionIconProps} from '@emotion-icons/emotion-icon'

export const Braille: EmotionIcon = React.forwardRef<SVGSVGElement, EmotionIconProps>((props, ref) => {
  const attrs: React.SVGProps<SVGSVGElement> = {
      "fill": "currentColor",
  "xmlns": "http://www.w3.org/2000/svg",
  }

  return (
    <EmotionIconBase
      iconAttrs={attrs}
      iconVerticalAlign="middle"
      iconViewBox="0 0 100 100"
      {...props}
      ref={ref}
    >
      <circle cx={31.102} cy={23.979} r={6.978} />

      <circle cx={68.898} cy={23.979} r={6.978} />

      <circle cx={31.102} cy={50} r={6.978} />

      <circle cx={68.898} cy={50} r={6.978} />

      <circle cx={31.102} cy={76.02} r={6.978} />

      <circle cx={68.898} cy={76.02} r={6.978} />

    </EmotionIconBase>
  )
})

Braille.displayName = 'Braille'

export const BrailleDimensions = {height: 100, width: 100}
