import * as React from 'react'
import {EmotionIcon, EmotionIconBase, EmotionIconProps} from '@emotion-icons/emotion-icon'

export const Comment: EmotionIcon = React.forwardRef<SVGSVGElement, EmotionIconProps>((props, ref) => {
  const attrs: React.SVGProps<SVGSVGElement> = {
      "fill": "currentColor",
  "xmlns": "http://www.w3.org/2000/svg",
  }

  return (
    <EmotionIconBase
      iconAttrs={attrs}
      iconVerticalAlign="middle"
      iconViewBox="0 0 100 100"
      {...props}
      ref={ref}
    >
      <path d="M88.466 16.936a3.362 3.362 0 00-3.34-3.036H14.781v.009a3.356 3.356 0 00-3.247 3.027H11.5v56.342h.068a3.37 3.37 0 003.214 2.694v.009h11.564v6.744a3.373 3.373 0 006.172 1.884l8.629-8.629h43.979a3.373 3.373 0 003.306-2.703h.068V16.936h-.034z" />

    </EmotionIconBase>
  )
})

Comment.displayName = 'Comment'

export const CommentDimensions = {height: 100, width: 100}
