import * as React from 'react'
import {EmotionIcon, EmotionIconBase, EmotionIconProps} from '@emotion-icons/emotion-icon'

export const FastForward: EmotionIcon = React.forwardRef<SVGSVGElement, EmotionIconProps>((props, ref) => {
  const attrs: React.SVGProps<SVGSVGElement> = {
      "fill": "currentColor",
  "xmlns": "http://www.w3.org/2000/svg",
  }

  return (
    <EmotionIconBase
      iconAttrs={attrs}
      iconVerticalAlign="middle"
      iconViewBox="0 0 100 100"
      {...props}
      ref={ref}
    >
      <path d="M86.346 49.976c0-.702-.422-1.303-1.026-1.57l.017-.03-37.39-21.588a1.715 1.715 0 00-2.92 1.172h-.005v15.249L16.58 26.788a1.715 1.715 0 00-2.92 1.172h-.005v44.031a1.718 1.718 0 002.948 1.197l28.42-16.408v15.212a1.718 1.718 0 002.948 1.197l37.545-21.677-.031-.054c.512-.298.861-.847.861-1.482z" />

    </EmotionIconBase>
  )
})

FastForward.displayName = 'FastForward'

export const FastForwardDimensions = {height: 100, width: 100}
