import * as React from 'react'
import {EmotionIcon, EmotionIconBase, EmotionIconProps} from '@emotion-icons/emotion-icon'

export const Record: EmotionIcon = React.forwardRef<SVGSVGElement, EmotionIconProps>((props, ref) => {
  const attrs: React.SVGProps<SVGSVGElement> = {
      "fill": "currentColor",
  "xmlns": "http://www.w3.org/2000/svg",
  }

  return (
    <EmotionIconBase
      iconAttrs={attrs}
      iconVerticalAlign="middle"
      iconViewBox="0 0 100 100"
      {...props}
      ref={ref}
    >
      <path d="M50 12.908c-20.485 0-37.092 16.606-37.092 37.092 0 20.485 16.606 37.092 37.092 37.092 20.485 0 37.092-16.606 37.092-37.092 0-20.485-16.607-37.092-37.092-37.092zm0 49.283c-6.733 0-12.191-5.458-12.191-12.191 0-6.733 5.458-12.191 12.191-12.191 6.733 0 12.191 5.458 12.191 12.191 0 6.733-5.458 12.191-12.191 12.191z" />

    </EmotionIconBase>
  )
})

Record.displayName = 'Record'

export const RecordDimensions = {height: 100, width: 100}
