import * as React from 'react'
import {EmotionIcon, EmotionIconBase, EmotionIconProps} from '@emotion-icons/emotion-icon'

export const SocialAdobe: EmotionIcon = React.forwardRef<SVGSVGElement, EmotionIconProps>((props, ref) => {
  const attrs: React.SVGProps<SVGSVGElement> = {
      "fill": "currentColor",
  "xmlns": "http://www.w3.org/2000/svg",
  }

  return (
    <EmotionIconBase
      iconAttrs={attrs}
      iconVerticalAlign="middle"
      iconViewBox="0 0 100 100"
      {...props}
      ref={ref}
    >
      <path d="M59.386 18.139L86 81.861V18.139zm-45.386 0v63.722l26.635-63.722zm24.373 50.904h12.409l5.075 12.814H66.97L50.01 41.622z" />

    </EmotionIconBase>
  )
})

SocialAdobe.displayName = 'SocialAdobe'

export const SocialAdobeDimensions = {height: 100, width: 100}
