import * as React from 'react'
import {EmotionIcon, EmotionIconBase, EmotionIconProps} from '@emotion-icons/emotion-icon'

export const SocialDrive: EmotionIcon = React.forwardRef<SVGSVGElement, EmotionIconProps>((props, ref) => {
  const attrs: React.SVGProps<SVGSVGElement> = {
      "fill": "currentColor",
  "xmlns": "http://www.w3.org/2000/svg",
  }

  return (
    <EmotionIconBase
      iconAttrs={attrs}
      iconVerticalAlign="middle"
      iconViewBox="0 0 100 100"
      {...props}
      ref={ref}
    >
      <path d="M40.588 59.659L27.579 82.03h46.912L87.5 59.659zm45.364-1.28L62.496 17.753l-25.879-.081L60.073 58.3zm-49.996-39.13L12.5 59.876l12.87 22.452 23.456-40.627z" />

    </EmotionIconBase>
  )
})

SocialDrive.displayName = 'SocialDrive'

export const SocialDriveDimensions = {height: 100, width: 100}
