import * as React from 'react'
import {EmotionIcon, EmotionIconBase, EmotionIconProps} from '@emotion-icons/emotion-icon'

export const SocialFlickr: EmotionIcon = React.forwardRef<SVGSVGElement, EmotionIconProps>((props, ref) => {
  const attrs: React.SVGProps<SVGSVGElement> = {
      "fill": "currentColor",
  "xmlns": "http://www.w3.org/2000/svg",
  }

  return (
    <EmotionIconBase
      iconAttrs={attrs}
      iconVerticalAlign="middle"
      iconViewBox="0 0 100 100"
      {...props}
      ref={ref}
    >
      <path d="M79 14H21c-3.85 0-7 3.15-7 7v58c0 3.85 3.15 7 7 7h58c3.85 0 7-3.15 7-7V21c0-3.85-3.15-7-7-7zM35.435 61.5c-6.456 0-11.69-5.233-11.69-11.689s5.234-11.69 11.69-11.69c6.456 0 11.689 5.233 11.689 11.69 0 6.456-5.233 11.689-11.689 11.689zm29.633 0c-6.456 0-11.69-5.233-11.69-11.689s5.233-11.69 11.69-11.69c6.456 0 11.689 5.233 11.689 11.69.001 6.456-5.233 11.689-11.689 11.689z" />

    </EmotionIconBase>
  )
})

SocialFlickr.displayName = 'SocialFlickr'

export const SocialFlickrDimensions = {height: 100, width: 100}
