import * as React from 'react'
import {EmotionIcon, EmotionIconBase, EmotionIconProps} from '@emotion-icons/emotion-icon'

export const SocialHackerNews: EmotionIcon = React.forwardRef<SVGSVGElement, EmotionIconProps>((props, ref) => {
  const attrs: React.SVGProps<SVGSVGElement> = {
      "fill": "currentColor",
  "xmlns": "http://www.w3.org/2000/svg",
  }

  return (
    <EmotionIconBase
      iconAttrs={attrs}
      iconVerticalAlign="middle"
      iconViewBox="0 0 100 100"
      {...props}
      ref={ref}
    >
      <path d="M79 14H21a7 7 0 00-7 7v58a7 7 0 007 7h58a7 7 0 007-7V21a7 7 0 00-7-7zM53.134 52.654V69.83h-5.267V52.714L35.12 29.494h5.925l5.685 11.132c1.556 3.051 2.752 5.505 4.01 8.318h.12c1.137-2.634 2.514-5.268 4.07-8.318l5.805-11.132h5.924l-13.525 23.16z" />

    </EmotionIconBase>
  )
})

SocialHackerNews.displayName = 'SocialHackerNews'

export const SocialHackerNewsDimensions = {height: 100, width: 100}
