import * as React from 'react'
import {EmotionIcon, EmotionIconBase, EmotionIconProps} from '@emotion-icons/emotion-icon'

export const Video: EmotionIcon = React.forwardRef<SVGSVGElement, EmotionIconProps>((props, ref) => {
  const attrs: React.SVGProps<SVGSVGElement> = {
      "fill": "currentColor",
  "xmlns": "http://www.w3.org/2000/svg",
  }

  return (
    <EmotionIconBase
      iconAttrs={attrs}
      iconVerticalAlign="middle"
      iconViewBox="0 0 100 100"
      {...props}
      ref={ref}
    >
      <path d="M66.272 61.337v10.565c0 2.497-2.043 4.535-4.539 4.535H14.54c-2.496 0-4.54-2.038-4.54-4.535V28.097c0-2.496 2.043-4.535 4.54-4.535h47.193c2.496 0 4.539 2.038 4.539 4.535v10.432-.146L90 27.265v45.294L66.272 61.337z" />

    </EmotionIconBase>
  )
})

Video.displayName = 'Video'

export const VideoDimensions = {height: 100, width: 100}
